﻿// <auto-generated />
using AlfaDuo.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace AlfaDuo.Infra.Migrations.Phase
{
    [DbContext(typeof(PhaseContext))]
    [Migration("20220223194427_phase")]
    partial class phase
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("AlfaDuo.Domain.Entities.Phase", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<long>("IntegrationId")
                        .HasColumnType("BIGINT")
                        .HasColumnName("integrationId");

                    b.Property<string>("PhaseResult")
                        .HasColumnType("JSON")
                        .HasColumnName("phaseResult");

                    b.Property<string>("Rule")
                        .IsRequired()
                        .HasColumnType("JSON")
                        .HasColumnName("rule");

                    b.Property<int>("Sequence")
                        .HasColumnType("INTEGER")
                        .HasColumnName("sequence");

                    b.Property<string>("Type")
                        .IsRequired()
                        .HasColumnType("VARCHAR(1)")
                        .HasColumnName("type");

                    b.HasKey("Id");

                    b.ToTable("Phase", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
